package com.yihu.hos.agent;

import com.yihu.hos.agent.service.MycatService;
import com.yihu.hos.agent.service.FlowService;
import com.yihu.hos.agent.service.ShellService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class HosAgentApplication implements CommandLineRunner {
    private FlowService flowService;
    private ShellService shellService;
    private MycatService mycatService;

    public static void main(String[] args) {
        SpringApplication.run(HosAgentApplication.class, args);
    }

    @Override
    public void run(String... strings) throws Exception {
//        flowService.server();
//        shellService.server();
//        mycatService.server();
    }

    @Autowired
    public void setFlowService(FlowService flowService) {
        this.flowService = flowService;
    }

    @Autowired
    public void setShellService(ShellService shellService) {
        this.shellService = shellService;
    }

    @Autowired
    public void setMycatService(MycatService mycatService) {
        this.mycatService = mycatService;
    }
}
