<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>

<!--######应用管理页面 > 应用详情模板页######-->
<div id="div_info_form" class="m-form-inline" style="padding-top:10px;" data-role-form>
    <input id="flag" value="${flag}" style="display: none">
    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>租户名称：</label>

        <div class="m-form-control ">
            <div class="l-text">
                <input type="text" class="l-text-field required" placeholder="请输入租户名称" name="name"/>
            </div>
        </div>
    </div>
    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>登录名：</label>

        <div class="m-form-control">
            <div class="l-text">
                <input type="text" class="l-text-field required" placeholder="请输入租户登录名" name="loginName"/>
            </div>
        </div>
    </div>

    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>登录密码：</label>

        <div class="m-form-control">
            <div class="l-text">
                <input type="text" class="l-text-field required" placeholder="请输入租户登录密码" name="password"/>
            </div>
        </div>
    </div>

    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>数据库名：</label>

        <div class="m-form-control">
            <div class="l-text">
                <input type="text" class="l-text-field required" placeholder="请输入租户数据库名" name="schema"/>
            </div>
        </div>
    </div>

    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>状态：</label>
        <div class="m-form-control ">
            <div class="l-text">
                <input type="text" id="valid"  class="l-text-field required" name="valid">
            </div>
        </div>
    </div>

    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>数据库实例：</label>
        <div class="m-form-control ">
            <div class="l-text">
                <input type="text" id="dataSourceId" class="l-text-field required" name="dataSourceId">
            </div>
        </div>
    </div>

    <!-- 隐藏字段 -->
    <div class="m-form-group" style="display: none;">
        <input name="id" hidden="hidden"/>
        <input name="code" hidden="hidden"/>
    </div>
    <div class="m-form-bottom">
        <div id="btnCancel" class="l-button l-button-no">
            <span>关闭</span>
        </div>
        <div id="btnEditor" class="l-button" style="display:none">
            <span>编辑</span>
        </div>
        <div id="btnSave" class="l-button">
            <span>保存</span>
        </div>
    </div>
</div>

<style>
    .m-form-group label{width: 135px;}
    .btnGrayUp.required{border: #FF7777 1px solid; float: left;}
</style>