package com.yihu.hos.rest.controllers;

import com.yihu.hos.rest.services.crawler.MetricManager;
import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.web.framework.util.controller.BaseController;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;

/**
 * 应用管理
 */
@RequestMapping("/metric")
@Controller
public class MetricController extends BaseController {
    @Resource(name = MetricManager.BEAN_ID)
    private MetricManager metricManager;

    @RequestMapping("/saveToMongo")
    @ResponseBody
    public Result saveToMongo(String msg) {
        try {
            Result result = metricManager.saveToMongo(msg);
            return result;
        } catch (Exception ex) {
            ex.printStackTrace();
            return Result.error(ex.getMessage());
        }
    }
}
