package com.yihu.hos.rest.services.crawler;

import com.yihu.ehr.dbhelper.mongodb.MongodbHelper;
import com.yihu.hos.web.framework.model.Result;
import org.json.JSONArray;
import org.json.JSONObject;
import org.springframework.stereotype.Service;

@Service("MetricManager")
public class MetricManager {

    public static final String BEAN_ID = "MetricManager";
    MongodbHelper mongoLog = new MongodbHelper("log");
    MongodbHelper mongoRuntime = new MongodbHelper("runtime");
    public Result saveToMongo(String msg) {
        JSONArray jsonArray = new JSONArray(msg);
        JSONObject info = (JSONObject) jsonArray.get(0);
        String database = info.getString("database");
        MongodbHelper mongo;
        if (database.equals("log")) {
            mongo = mongoLog;
        } else {
            mongo = mongoRuntime;
        }
        String collection = info.getString("collection");
        JSONObject record = (JSONObject) jsonArray.get(1);
        JSONObject jsonObject = new JSONObject();
        for (Object key : record.keySet()) {
            jsonObject.put((String) key, record.get((String) key).toString());
        }
        try {
            mongo.insert(collection, jsonObject);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return Result.success("保存成功！");
    }
}
